Changeset 1441 for ThirdParty/Glpk


Ignore:
Timestamp:
Nov 7, 2009 12:34:15 PM (10 years ago)
Author:
stefan
Message:

update to GLPK 4.40

Location:
ThirdParty/Glpk/trunk
Files:
7 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/INSTALL.Glpk

    r1390 r1441  
    1414You may download
    1515
    16 ftp://ftp.gnu.org/gnu/glpk/glpk-4.39.tar.gz
     16ftp://ftp.gnu.org/gnu/glpk/glpk-4.40.tar.gz
    1717
    1818and unpack it in this directory:
    1919
    20 gunzip glpk-4.39.tar.gz
    21 tar xf glpk-4.39.tar
     20gunzip glpk-4.40.tar.gz
     21tar xf glpk-4.40.tar
    2222
    2323Then you need to rename the directory
    24   glpk-4.39
     24  glpk-4.40
    2525into
    2626  glpk
  • ThirdParty/Glpk/trunk/Makefile.am

    r1411 r1441  
    3737$(GLPKDIR)/src/glpapi18.c \
    3838$(GLPKDIR)/src/glpapi19.c \
     39$(GLPKDIR)/src/glpapi20.c \
    3940$(GLPKDIR)/src/glpavl.c \
    4041$(GLPKDIR)/src/glpbfd.c \
     
    9596$(GLPKDIR)/src/glpnet06.c \
    9697$(GLPKDIR)/src/glpnet07.c \
     98$(GLPKDIR)/src/glpnet08.c \
    9799$(GLPKDIR)/src/glpnpp01.c \
    98100$(GLPKDIR)/src/glpnpp02.c \
  • ThirdParty/Glpk/trunk/Makefile.in

    r1411 r1441  
    7878        glpapi09.lo glpapi10.lo glpapi11.lo glpapi12.lo glpapi13.lo \
    7979        glpapi14.lo glpapi15.lo glpapi16.lo glpapi17.lo glpapi18.lo \
    80         glpapi19.lo glpavl.lo glpbfd.lo glpbfx.lo glpcpx.lo glpdmp.lo \
    81         glpdmx.lo glpfhv.lo glpgmp.lo glphbm.lo glpini01.lo \
    82         glpini02.lo glpios01.lo glpios02.lo glpios03.lo glpios04.lo \
    83         glpios05.lo glpios06.lo glpios07.lo glpios08.lo glpios09.lo \
    84         glpios10.lo glpipm.lo glpipp01.lo glpipp02.lo glplib01.lo \
    85         glplib02.lo glplib03.lo glplib04.lo glplib05.lo glplib06.lo \
    86         glplib07.lo glplib08.lo glplib09.lo glplib10.lo glplib11.lo \
    87         glplib12.lo glplpf.lo glplpx01.lo glplpx02.lo glplpx03.lo \
    88         glplpx04.lo glpluf.lo glplux.lo glpmat.lo glpmpl01.lo \
    89         glpmpl02.lo glpmpl03.lo glpmpl04.lo glpmpl05.lo glpmpl06.lo \
    90         glpmps.lo glpnet01.lo glpnet02.lo glpnet03.lo glpnet04.lo \
    91         glpnet05.lo glpnet06.lo glpnet07.lo glpnpp01.lo glpnpp02.lo \
    92         glpnpp03.lo glpqmd.lo glprgr.lo glprng01.lo glprng02.lo \
    93         glpscf.lo glpscg.lo glpscl.lo glpsdf.lo glpspm.lo glpspx01.lo \
    94         glpspx02.lo glpsql.lo glpssx01.lo glpssx02.lo amd_1.lo \
    95         amd_2.lo amd_aat.lo amd_control.lo amd_defaults.lo amd_dump.lo \
    96         amd_info.lo amd_order.lo amd_postorder.lo amd_post_tree.lo \
     80        glpapi19.lo glpapi20.lo glpavl.lo glpbfd.lo glpbfx.lo \
     81        glpcpx.lo glpdmp.lo glpdmx.lo glpfhv.lo glpgmp.lo glphbm.lo \
     82        glpini01.lo glpini02.lo glpios01.lo glpios02.lo glpios03.lo \
     83        glpios04.lo glpios05.lo glpios06.lo glpios07.lo glpios08.lo \
     84        glpios09.lo glpios10.lo glpipm.lo glpipp01.lo glpipp02.lo \
     85        glplib01.lo glplib02.lo glplib03.lo glplib04.lo glplib05.lo \
     86        glplib06.lo glplib07.lo glplib08.lo glplib09.lo glplib10.lo \
     87        glplib11.lo glplib12.lo glplpf.lo glplpx01.lo glplpx02.lo \
     88        glplpx03.lo glplpx04.lo glpluf.lo glplux.lo glpmat.lo \
     89        glpmpl01.lo glpmpl02.lo glpmpl03.lo glpmpl04.lo glpmpl05.lo \
     90        glpmpl06.lo glpmps.lo glpnet01.lo glpnet02.lo glpnet03.lo \
     91        glpnet04.lo glpnet05.lo glpnet06.lo glpnet07.lo glpnet08.lo \
     92        glpnpp01.lo glpnpp02.lo glpnpp03.lo glpqmd.lo glprgr.lo \
     93        glprng01.lo glprng02.lo glpscf.lo glpscg.lo glpscl.lo \
     94        glpsdf.lo glpspm.lo glpspx01.lo glpspx02.lo glpsql.lo \
     95        glpssx01.lo glpssx02.lo amd_1.lo amd_2.lo amd_aat.lo \
     96        amd_control.lo amd_defaults.lo amd_dump.lo amd_info.lo \
     97        amd_order.lo amd_postorder.lo amd_post_tree.lo \
    9798        amd_preprocess.lo amd_valid.lo colamd.lo
    9899libcoinglpk_la_OBJECTS = $(nodist_libcoinglpk_la_OBJECTS)
     
    285286$(GLPKDIR)/src/glpapi18.c \
    286287$(GLPKDIR)/src/glpapi19.c \
     288$(GLPKDIR)/src/glpapi20.c \
    287289$(GLPKDIR)/src/glpavl.c \
    288290$(GLPKDIR)/src/glpbfd.c \
     
    343345$(GLPKDIR)/src/glpnet06.c \
    344346$(GLPKDIR)/src/glpnet07.c \
     347$(GLPKDIR)/src/glpnet08.c \
    345348$(GLPKDIR)/src/glpnpp01.c \
    346349$(GLPKDIR)/src/glpnpp02.c \
     
    512515@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi18.Plo@am__quote@
    513516@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi19.Plo@am__quote@
     517@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi20.Plo@am__quote@
    514518@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpavl.Plo@am__quote@
    515519@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpbfd.Plo@am__quote@
     
    570574@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet06.Plo@am__quote@
    571575@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet07.Plo@am__quote@
     576@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet08.Plo@am__quote@
    572577@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnpp01.Plo@am__quote@
    573578@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnpp02.Plo@am__quote@
     
    742747@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi19.lo `test -f '$(GLPKDIR)/src/glpapi19.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi19.c
    743748
     749glpapi20.lo: $(GLPKDIR)/src/glpapi20.c
     750@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpapi20.lo -MD -MP -MF "$(DEPDIR)/glpapi20.Tpo" -c -o glpapi20.lo `test -f '$(GLPKDIR)/src/glpapi20.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi20.c; \
     751@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpapi20.Tpo" "$(DEPDIR)/glpapi20.Plo"; else rm -f "$(DEPDIR)/glpapi20.Tpo"; exit 1; fi
     752@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpapi20.c' object='glpapi20.lo' libtool=yes @AMDEPBACKSLASH@
     753@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     754@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi20.lo `test -f '$(GLPKDIR)/src/glpapi20.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi20.c
     755
    744756glpavl.lo: $(GLPKDIR)/src/glpavl.c
    745757@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpavl.lo -MD -MP -MF "$(DEPDIR)/glpavl.Tpo" -c -o glpavl.lo `test -f '$(GLPKDIR)/src/glpavl.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpavl.c; \
     
    11471159@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    11481160@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnet07.lo `test -f '$(GLPKDIR)/src/glpnet07.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet07.c
     1161
     1162glpnet08.lo: $(GLPKDIR)/src/glpnet08.c
     1163@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpnet08.lo -MD -MP -MF "$(DEPDIR)/glpnet08.Tpo" -c -o glpnet08.lo `test -f '$(GLPKDIR)/src/glpnet08.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet08.c; \
     1164@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpnet08.Tpo" "$(DEPDIR)/glpnet08.Plo"; else rm -f "$(DEPDIR)/glpnet08.Tpo"; exit 1; fi
     1165@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpnet08.c' object='glpnet08.lo' libtool=yes @AMDEPBACKSLASH@
     1166@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1167@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnet08.lo `test -f '$(GLPKDIR)/src/glpnet08.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet08.c
    11491168
    11501169glpnpp01.lo: $(GLPKDIR)/src/glpnpp01.c
  • ThirdParty/Glpk/trunk/configure

    r1411 r1441  
    16071607# that we are in a project main directory
    16081608coin_projectdir=yes
    1609 
    1610 # Check if a library version is set for libtool
    1611 
    16121609
    16131610
     
    47324729*-*-irix6*)
    47334730  # Find out which ABI we are using.
    4734   echo '#line 4734 "configure"' > conftest.$ac_ext
     4731  echo '#line 4731 "configure"' > conftest.$ac_ext
    47354732  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    47364733  (eval $ac_compile) 2>&5
     
    63316328
    63326329# Provide some information about the compiler.
    6333 echo "$as_me:6333:" \
     6330echo "$as_me:6330:" \
    63346331     "checking for Fortran 77 compiler version" >&5
    63356332ac_compiler=`set X $ac_compile; echo $2`
     
    73987395   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    73997396   -e 's:$: $lt_compiler_flag:'`
    7400    (eval echo "\"\$as_me:7400: $lt_compile\"" >&5)
     7397   (eval echo "\"\$as_me:7397: $lt_compile\"" >&5)
    74017398   (eval "$lt_compile" 2>conftest.err)
    74027399   ac_status=$?
    74037400   cat conftest.err >&5
    7404    echo "$as_me:7404: \$? = $ac_status" >&5
     7401   echo "$as_me:7401: \$? = $ac_status" >&5
    74057402   if (exit $ac_status) && test -s "$ac_outfile"; then
    74067403     # The compiler can only warn and ignore the option if not recognized
     
    76667663   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76677664   -e 's:$: $lt_compiler_flag:'`
    7668    (eval echo "\"\$as_me:7668: $lt_compile\"" >&5)
     7665   (eval echo "\"\$as_me:7665: $lt_compile\"" >&5)
    76697666   (eval "$lt_compile" 2>conftest.err)
    76707667   ac_status=$?
    76717668   cat conftest.err >&5
    7672    echo "$as_me:7672: \$? = $ac_status" >&5
     7669   echo "$as_me:7669: \$? = $ac_status" >&5
    76737670   if (exit $ac_status) && test -s "$ac_outfile"; then
    76747671     # The compiler can only warn and ignore the option if not recognized
     
    77707767   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77717768   -e 's:$: $lt_compiler_flag:'`
    7772    (eval echo "\"\$as_me:7772: $lt_compile\"" >&5)
     7769   (eval echo "\"\$as_me:7769: $lt_compile\"" >&5)
    77737770   (eval "$lt_compile" 2>out/conftest.err)
    77747771   ac_status=$?
    77757772   cat out/conftest.err >&5
    7776    echo "$as_me:7776: \$? = $ac_status" >&5
     7773   echo "$as_me:7773: \$? = $ac_status" >&5
    77777774   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    77787775   then
     
    1011510112  lt_status=$lt_dlunknown
    1011610113  cat > conftest.$ac_ext <<EOF
    10117 #line 10117 "configure"
     10114#line 10114 "configure"
    1011810115#include "confdefs.h"
    1011910116
     
    1021510212  lt_status=$lt_dlunknown
    1021610213  cat > conftest.$ac_ext <<EOF
    10217 #line 10217 "configure"
     10214#line 10214 "configure"
    1021810215#include "confdefs.h"
    1021910216
     
    1255912556   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1256012557   -e 's:$: $lt_compiler_flag:'`
    12561    (eval echo "\"\$as_me:12561: $lt_compile\"" >&5)
     12558   (eval echo "\"\$as_me:12558: $lt_compile\"" >&5)
    1256212559   (eval "$lt_compile" 2>conftest.err)
    1256312560   ac_status=$?
    1256412561   cat conftest.err >&5
    12565    echo "$as_me:12565: \$? = $ac_status" >&5
     12562   echo "$as_me:12562: \$? = $ac_status" >&5
    1256612563   if (exit $ac_status) && test -s "$ac_outfile"; then
    1256712564     # The compiler can only warn and ignore the option if not recognized
     
    1266312660   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1266412661   -e 's:$: $lt_compiler_flag:'`
    12665    (eval echo "\"\$as_me:12665: $lt_compile\"" >&5)
     12662   (eval echo "\"\$as_me:12662: $lt_compile\"" >&5)
    1266612663   (eval "$lt_compile" 2>out/conftest.err)
    1266712664   ac_status=$?
    1266812665   cat out/conftest.err >&5
    12669    echo "$as_me:12669: \$? = $ac_status" >&5
     12666   echo "$as_me:12666: \$? = $ac_status" >&5
    1267012667   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1267112668   then
     
    1423314230   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1423414231   -e 's:$: $lt_compiler_flag:'`
    14235    (eval echo "\"\$as_me:14235: $lt_compile\"" >&5)
     14232   (eval echo "\"\$as_me:14232: $lt_compile\"" >&5)
    1423614233   (eval "$lt_compile" 2>conftest.err)
    1423714234   ac_status=$?
    1423814235   cat conftest.err >&5
    14239    echo "$as_me:14239: \$? = $ac_status" >&5
     14236   echo "$as_me:14236: \$? = $ac_status" >&5
    1424014237   if (exit $ac_status) && test -s "$ac_outfile"; then
    1424114238     # The compiler can only warn and ignore the option if not recognized
     
    1433714334   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1433814335   -e 's:$: $lt_compiler_flag:'`
    14339    (eval echo "\"\$as_me:14339: $lt_compile\"" >&5)
     14336   (eval echo "\"\$as_me:14336: $lt_compile\"" >&5)
    1434014337   (eval "$lt_compile" 2>out/conftest.err)
    1434114338   ac_status=$?
    1434214339   cat out/conftest.err >&5
    14343    echo "$as_me:14343: \$? = $ac_status" >&5
     14340   echo "$as_me:14340: \$? = $ac_status" >&5
    1434414341   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1434514342   then
     
    1654416541   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1654516542   -e 's:$: $lt_compiler_flag:'`
    16546    (eval echo "\"\$as_me:16546: $lt_compile\"" >&5)
     16543   (eval echo "\"\$as_me:16543: $lt_compile\"" >&5)
    1654716544   (eval "$lt_compile" 2>conftest.err)
    1654816545   ac_status=$?
    1654916546   cat conftest.err >&5
    16550    echo "$as_me:16550: \$? = $ac_status" >&5
     16547   echo "$as_me:16547: \$? = $ac_status" >&5
    1655116548   if (exit $ac_status) && test -s "$ac_outfile"; then
    1655216549     # The compiler can only warn and ignore the option if not recognized
     
    1681216809   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1681316810   -e 's:$: $lt_compiler_flag:'`
    16814    (eval echo "\"\$as_me:16814: $lt_compile\"" >&5)
     16811   (eval echo "\"\$as_me:16811: $lt_compile\"" >&5)
    1681516812   (eval "$lt_compile" 2>conftest.err)
    1681616813   ac_status=$?
    1681716814   cat conftest.err >&5
    16818    echo "$as_me:16818: \$? = $ac_status" >&5
     16815   echo "$as_me:16815: \$? = $ac_status" >&5
    1681916816   if (exit $ac_status) && test -s "$ac_outfile"; then
    1682016817     # The compiler can only warn and ignore the option if not recognized
     
    1691616913   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1691716914   -e 's:$: $lt_compiler_flag:'`
    16918    (eval echo "\"\$as_me:16918: $lt_compile\"" >&5)
     16915   (eval echo "\"\$as_me:16915: $lt_compile\"" >&5)
    1691916916   (eval "$lt_compile" 2>out/conftest.err)
    1692016917   ac_status=$?
    1692116918   cat out/conftest.err >&5
    16922    echo "$as_me:16922: \$? = $ac_status" >&5
     16919   echo "$as_me:16919: \$? = $ac_status" >&5
    1692316920   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1692416921   then
     
    1980119798LT_LDFLAGS=
    1980219799
    19803 # Check if we want to set the library version
    19804 echo "$as_me:$LINENO: checking if library version is set" >&5
    19805 echo $ECHO_N "checking if library version is set... $ECHO_C" >&6
    19806 if test x"$coin_libversion" != x; then
    19807   LT_LDFLAGS="$LT_LDFLAGS -version-info $coin_libversion"
    19808   echo "$as_me:$LINENO: result: $coin_libversion" >&5
    19809 echo "${ECHO_T}$coin_libversion" >&6
    19810 else
    19811   echo "$as_me:$LINENO: result: no" >&5
    19812 echo "${ECHO_T}no" >&6
    19813 fi
    19814 
    19815 
    1981619800
    1981719801#END
     
    2010520089  echo "$as_me:$LINENO: result: ${majorver}.${minorver}" >&5
    2010620090echo "${ECHO_T}${majorver}.${minorver}" >&6
    20107   if test x$majorver != x4 || test x$minorver != x39 ; then
    20108     { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.39. Please update by rerunning get.GLPK\"" >&5
    20109 echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.39. Please update by rerunning get.GLPK\"" >&2;}
     20091  if test x$majorver != x4 || test x$minorver != x40 ; then
     20092    { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.40. Please update by rerunning get.GLPK\"" >&5
     20093echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.40. Please update by rerunning get.GLPK\"" >&2;}
    2011020094   { (exit 1); exit 1; }; }
    2011120095  fi
  • ThirdParty/Glpk/trunk/configure.ac

    r1411 r1441  
    7474  minorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' ${GLPKINCDIR}/glpk.h`
    7575  AC_MSG_RESULT([${majorver}.${minorver}])
    76   if test x$majorver != x4 || test x$minorver != x39 ; then
    77     AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.39. Please update by rerunning get.GLPK"])
     76  if test x$majorver != x4 || test x$minorver != x40 ; then
     77    AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.40. Please update by rerunning get.GLPK"])
    7878  fi
    7979else
  • ThirdParty/Glpk/trunk/get.Glpk

    r1390 r1441  
    22
    33set -e
    4 glpk_ver=4.39
     4glpk_ver=4.40
    55
    66wgetcmd=wget
  • ThirdParty/Glpk/trunk/glpk.patch

    r1413 r1441  
    1010          case GLP_ECOND:
    1111          case GLP_EBOUND:  ret = LPX_E_FAULT;   break;
    12 --- glpk/src/glpnpp02.c.orig    2009-09-17 17:35:48.000000000 +0200
    13 +++ glpk/src/glpnpp02.c 2009-09-17 17:36:06.000000000 +0200
    14 @@ -805,7 +805,7 @@
    15        /* fix the column */
    16        if (col->lb == -DBL_MAX && col->ub == +DBL_MAX)
    17        {  /* free variable */
    18 -         info->stat = GLP_NS;
    19 +         info->stat = GLP_NF;
    20           col->lb = col->ub = 0.0;
    21        }
    22        else if (col->ub == +DBL_MAX)
Note: See TracChangeset for help on using the changeset viewer.